import { EventEmitter } from "@angular/core";
export declare class TransactionFilterCategoriesComponent {
    set categories(value: string[]);
    get categories(): string[];
    categoryClick: EventEmitter<string>;
    showClass(): boolean;
    activeCategory: string;
    private _categories;
    handleCategoryClick(category: string): void;
}
